Subject: RE: [MIB-DOCTORS] FW: SnmpAdminString for URIs

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Tue, 1 Aug 2006 20:57:54 +0300

There are two such objects in draft-ietf-sip-mib-11.txt. 

There are not too many other MIB modules in development in this space,
that I am aware about. 

However, as draft-ietf-sip-mib-11.txt will be blocked anyway this week
by a DISCUSS (mine), maybe it's the right time. 

Does anyone volunteer to propose a TC? 

Dan

> -----Original Message-----
> From: Randy Presuhn [mailto:[email-masked]] 
> Sent: Tuesday, August 01, 2006 8:32 PM
> To: [email-masked]
> Cc: Ted Hardie
> Subject: Re: [MIB-DOCTORS] FW: SnmpAdminString for URIs
> 
> Hi -
> 
> I agree that there would be value to creating a specific TC.
> Having such TCs enables better code generation (both for 
> "manager" and "agent" applications) as well as eliminating 
> the need to keep "cloning" carefully crafted constraint 
> language in every object definition needing the type.
> 
> My only question would be whether there are enough of these 
> objects (either already published or in the development
> queue) to make it all worthwhile.
> 
> Randy
> 
> ----- Original Message -----
> From: "Romascanu, Dan (Dan)" <[email-masked]>
> To: <[email-masked]>
> Cc: "Ted Hardie" <[email-masked]>
> Sent: Tuesday, August 01, 2006 12:07 AM
> Subject: [MIB-DOCTORS] FW: SnmpAdminString for URIs
> 
> 
> I believe that the MIB Doctors may have something to say about this. 
> 
> Dan
> 
> 
> 
>  
> 
> -----Original Message-----
> From: Ted Hardie [mailto:[email-masked]] 
> Sent: Tuesday, August 01, 2006 12:16 AM
> To: [email-masked]
> Subject: SnmpAdminString for URIs
> 
> Howdy,
> When reviewing draft-ietf-sip-mib-11.txt, I began wondering
> whether SnmpAdminString was appropriate for URIs.  After chasing back
> through RFC 4181 and 
> http://www.ops.ietf.org/mib-common-tcs.html, I have
> pretty much concluded that it is as good as we've got at the moment.
> But I'm wondering if there would be value to defining something that
> actually was limited to the syntax in 3986.  As it stands,
> SnmpAdminString will allow characters that are not legal in URIs (and
> would not necessarily even be legal in IRIs).  
> Would it be worth it to create a new URI-specific string type?
> Or does the population of these fields by applications that 
> have already
> vetted their URI syntax mean that storing them in a more 
> permissive type
> is fine?
> In case it is not clear, I have no desire to hold the SIP mib or
> any other current mib on this; just wondering if it would be useful
> work.
> regards,
> Ted
> 
> 
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mib-doctors
> 
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mib-doctors
> 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sun, 13 Aug 2006 00:51:46 +0200

> Does anyone volunteer to propose a TC? 

The closest TC I am aware of is the following definition copied from
the NETWORK-SERVICES-MIB (RFC 2788):

  -- Uniform Resource Locators are stored in URLStrings.

  URLString ::= TEXTUAL-CONVENTION
      DISPLAY-HINT "255a"
      STATUS current
      DESCRIPTION
          "A Uniform Resource Locator represented in accordance
           with RFCs 1738 and 2368, presented in the NVT ASCII
           charset defined in RFC 854."
      SYNTAX OCTET STRING (SIZE (0..255))

Not sure this is sufficient anymore these days.

When I needed such a TC in the past, I was reluctant to become
dependent on the NETWORK-SERVICES-MIB as a whole for just one TC so
putting such generally useful TCs into more appropriate modules will
certainly help.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany